Purchase to add licenses by checkout link

Generate the checkout link to purchase the license.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class is used to create a checkout link to add various licenses.

returnURLstring · uri · nullableOptional

The return URL. If the payment is successful, the user will be redirected to this URL.

cancelURLstring · uri · nullableOptional

The cancel URL. If the payment is canceled, the user will be redirected to this URL.

packageIdstring · min: 1Required

The package id of the license.

Example: Plakdiooh209sz
subscriptionTypeIdstring · min: 1Required

The subscription type id of the license.

Example: Plakdiooh209sz
startDatestring · date-timeRequired

The start date of the license.

Example: 2025-01-01
endDatestring · date-timeRequired

The end date of the license.

Example: 2025-02-01
testModeboolean · nullableOptional

The test mode of the license. By default, it is set to false.

Example: true
quantityinteger · int32Optional

The quantity of the license to create. By default, it is 1.

Example: 1
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

datastring · nullableRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/licenses/purchase/checkout-link

Last updated